| Home | Libraries | People | FAQ | More

## quick_exit

### Authors

- Peter Dimov

### Header <boost/core/quick_exit.hpp>

The header `<boost/core/quick_exit.hpp>` defines the function `void boost::quick_exit(int code)`. It calls the standard C++11 function `std::quick_exit(code)`, if that is available, and otherwise exits the process via `std::_Exit(code)` or equivalent.

#### Synopsis

    namespace boost
    {
        [[noreturn]] void quick_exit(int code) noexcept;
    }